package com.zehong.system.mapper.track;

import java.util.List;
import com.zehong.system.domain.track.TProductDrawing;

/**
 * 图纸Mapper接口
 * 
 * @author zehong
 * @date 2024-08-21
 */
public interface TProductDrawingMapper 
{
    /**
     * 查询图纸
     * 
     * @param id 图纸ID
     * @return 图纸
     */
    public TProductDrawing selectTProductDrawingById(Long id);

    /**
     * 查询图纸列表
     * 
     * @param tProductDrawing 图纸
     * @return 图纸集合
     */
    public List<TProductDrawing> selectTProductDrawingList(TProductDrawing tProductDrawing);

    /**
     * 新增图纸
     * 
     * @param tProductDrawing 图纸
     * @return 结果
     */
    public int insertTProductDrawing(TProductDrawing tProductDrawing);

    /**
     * 修改图纸
     * 
     * @param tProductDrawing 图纸
     * @return 结果
     */
    public int updateTProductDrawing(TProductDrawing tProductDrawing);

    /**
     * 删除图纸
     * 
     * @param id 图纸ID
     * @return 结果
     */
    public int deleteTProductDrawingById(Long id);

    /**
     * 批量删除图纸
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTProductDrawingByIds(Long[] ids);
}
